/* REXX */

'@ECHO off'
rc = RxFuncAdd('SysSleep','RexxUtil','SysSleep')

PARSE ARG interval host action

SAY 'IPMon - IP Availability Monitor  v1.0'
SAY 'Copyright (C) Tom Brown 1996.  All rights reserved'
SAY

IF LENGTH(action) = 0 THEN DO

      SAY 'Usage:'
      SAY '      IPMon <interval> <host> <action>'
      SAY
      SAY 'Where:'
      SAY '      interval = the polling interval'
      SAY '      host     = the host to ping for the IP test'
      SAY '      action   = the action to perform if IP is down'
      SAY
      SAY 'Eg:'
      SAY
      SAY '      IPMon 5m 1.2.3.4 CALL reboot'
      SAY '      rem ping 1.2.3.4 every 5 minutes and reboot'
      SAY '      rem if the ping fails'

   END

ELSE DO

      /* Notify of running daemon */

      SAY 'IP availability monitoring started' DATE() TIME()


      /* Poll the daemon */

      DO UNTIL SysSleep(interval) > 0

         'C:\UserOS2\Utils\ping -c 1' host '> nul'
         IF rc THEN DO

               SAY 'IP down' DATE() TIME() 'running' action
               action

            END

      END

   END

